 Prizm
 
#include <PRIZM.h>      
  PRIZM prizm;            

void setup() {

  prizm.PrizmBegin();   

  prizm.setMotorInvert(1,1);      
                                  
                                  
  Serial.begin(9600);                                
}

void loop() {
  Serial.print(prizm.readSonicSensorCM(4));

  if(prizm.readSonicSensorCM(4) < 10) 
  {
    prizm.setMotorPowers(10,10);   
    delay(1000);
    prizm.setMotorPowers(125,125);
    delay(1000);
     prizm.setMotorPowers(10,10);   
    delay(6000);
  }
  else
  {
   prizm.setMotorPowers(125,125);   
  }   
}

 

#include <Trackcv.h>
#include <Servo.h>

bool comm_send(char data) {
  return Serial1.write(data) == 1;
}
int32_t comm_recv() {
  return (int32_t)Serial1.read();
}

void delay_ms(uint32_t value) {
  delay(value);
}
uint32_t TS_ms(void) {
  return (uint32_t)millis();
}
extern "C" {
#include "trackcv/xprintf.h"
}

#include <WString.h>
Servo servo_port_OUT1;

void setup()
{
  Serial1.begin(115200);
  servo_port_OUT1.attach(OUT1, BIG_SERVO);
  Trackcv_init(comm_recv, comm_send, 0);
  while ( !( trackcv_check() ) )
  {
    builtInRGB(RED);
  }


  builtInRGB(GREEN);

  servo_port_OUT1.write( 180 );

}

void loop()
{
  if (( ( trackcv_circle_count() ) > ( 0 ) ))
  {
    builtInRGB(BLUE);
    servo_port_OUT1.write( 40 );
    delay( 2000 );
  }
  else
  {
    builtInRGB(WHITE);
    servo_port_OUT1.write( 180 );
  }
}

